SettingsHardwareSupportManagersPackagesFilterSpec

The Packages.FilterSpec structure contains fields used to filter the results when listing OEM Hardware Support Packages (HSPs), see Packages.list).


Properties

string
base_image_version Optional

vSphere release version the Hardware Support Package (HSP) must support to match the filter. Only Hardware Support Packages (HSPs) compatible with the vSphere release version specified in ‘baseImageVersion’ will be returned. The ‘baseImageVersion’ parameter should be a full numeric base image version string (e.g. “7.1.0-2.3.436234”). Future implementations may support version specification by prefix (e.g. “7.1” to specify all updates and builds of 7.1) or other forms of specification (e.g. “>=7.0”). Hardware Support Pacakges (HSPs) may be advertised as supporting truncated version strings to indicate the remainder is wildcarded. Matching is on the specified substring only, so a bundle supporting “7.1.0-2” would match a ‘release’ parameter of “7.1.0-2.3.436234” as well as “7.1.0-2.1.4133564” and “7.1.0-1.0.355667” but not “7.1.0-3.0.63445” or any base image version starting with “7.2”. Note that we require compatible base image versions be specified at least down to the update version (i.e. “7.0” is insufficiently constrained) If unset, all packages will be returned, regardless of base image version.

JSON Example

{
    "base_image_version": "string"
}

Feedback

Was this page helpful?